@charset 'UTF-8';
/* //////////////////////////////////////////////////////////////////////////////// */
/* ///////////////////////////////////////////////////////////////////// GLOBAL /// */
/* //////////////////////////////////////////////////////////////////////////////// */
/* ---------------------------------------------------------------------- RESET --- */
*,
*:after,
*:before
{
    box-sizing: border-box;

    outline: none;

    -webkit-tap-highlight-color: transparent;
}

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video
{
    font: inherit;
    font-size: 100%;

    margin: 0;
    padding: 0;

    vertical-align: baseline;

    border: 0;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section
{
    display: block;
}

body
{
    line-height: 1;
}

ol,
ul
{
    list-style: none;
}

blockquote,
q
{
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after
{
    content: '';
    content: none;
}

sub,
sup
{
    font-size: 75%;
    line-height: 0;

    position: relative;

    vertical-align: baseline;
}

sup
{
    top: -.5em;
}

sub
{
    bottom: -.25em;
}

table
{
    border-spacing: 0;
    border-collapse: collapse;
}

input,
textarea,
button,
select
{
    font-family: inhert;
    font-size: inherit;

    color: inherit;

    -webkit-appearance: none;
       -moz-appearance: none;
}

select
{
    text-indent: .01px;
    text-overflow: '';

    border: 0;
    border-radius: 0;
}

select::-ms-expand
{
    display: none;
}

code,
pre
{
    font-family: monospace, monospace;
    font-size: 1em;
}

/* ---------------------------------------------------------------------- COLOR --- */
/* ----------------------------------------------------------------- BREAKPOINT --- */
/* //////////////////////////////////////////////////////////////////////////////// */
/* ///////////////////////////////////////////////////////////////// TYPOGRAPHY /// */
/* //////////////////////////////////////////////////////////////////////////////// */
/* ------------------------------------------------------------------- DOCUMENT --- */
body
{
    font-family: 'baskerville-urw', serif;

    -webkit-font-smoothing: antialiased;
}

/* ------------------------------------------------------------------ PARAGRAPH --- */
p
{
    font-size: 16px;
    line-height: 20px;
}

/* ------------------------------------------------------------------------- HR --- */
hr
{
    height: 1px;
    margin: 40px 0;

    border: 0;
    background-color: #abacab;
}

/* //////////////////////////////////////////////////////////////////////////////// */
/* ////////////////////////////////////////////////////////////////// STRUCTURE /// */
/* //////////////////////////////////////////////////////////////////////////////// */
/* ----------------------------------------------------------------------- BODY --- */
body.load:after
{
    position: absolute;
    top: 50%;
    left: 50%;

    margin-top: 55px;

    content: 'Initalising Data';
    transform: translate(-50%, -50%);

    color: #abacab;
}

body.open .sidebar
{
    right: 0;
}

body.mobile:before
{
    position: fixed;
    z-index: 999;
    top: 0;
    right: 0;
    left: 0;

    display: block;

    height: 20px;

    content: '';

    border-bottom: 1px solid #ccc;
    background-color: #f8f8f8;
}

body.mobile#index,
body.mobile#print,
body.mobile#range
{
    padding-top: 120px;
}

body.mobile header,
body.mobile .area,
body.mobile .sidebar
{
    top: 20px;
}

/* --------------------------------------------------------------------- HEADER --- */
header
{
    position: fixed;
    z-index: 9;
    top: 0;
    right: 0;
    left: 0;

    width: 100%;
    height: 80px;
    padding: 17px 0;

    border-bottom: 1px solid #ccc;
    background-color: #f8f8f8;
}

@media (max-width: 768px)
{
    header
    {
        display: block !important;

        height: 70px;
    }
}

/* --------------------------------------------------------------------- CENTER --- */
.center
{
    position: relative;

    max-width: 1000px;
    margin: 0 auto;
    padding: 0 20px;
}

/* ----------------------------------------------------------------------- AREA --- */
.area
{
    position: fixed;
    top: 0;
    right: 340px;
    bottom: 0;
    left: 0;

    background-color: white;
}

.area .canvas
{
    top: 0;
    right: 0;
    bottom: 80px;
    left: 0;
}

body.mobile .area .canvas
{
    top: 80px;
}

@media (max-width: 768px)
{
    .area
    {
        right: 0;
    }
    .area .canvas
    {
        top: 80px;
    }
}

/* -------------------------------------------------------------------- SIDEBAR --- */
.sidebar
{
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;

    width: 90vw;
    max-width: 340px;

    transition: right 300ms;

    border-left: 1px solid #ccc;
    background-color: #f8f8f8;
}

.sidebar .close
{
    position: absolute;
    top: 20px;
    right: 30px;

    display: none;

    width: 30px;
    height: 30px;

    border: 1px solid #ccc;
    border-radius: 30px;
    background-color: white;
}

.sidebar .close:before
{
    font-weight: bold;
    line-height: 29px;

    display: block;

    content: '\d7';
    cursor: pointer;
    text-align: center;

    color: #abacab;
}

@media (max-width: 768px)
{
    .sidebar .close
    {
        display: block;
    }
}

.sidebar .scroll
{
    position: absolute;
    top: 0;
    right: 0;
    bottom: 80px;
    left: 0;

    overflow-y: scroll;

    -webkit-overflow-scrolling: touch;
}

@media (max-width: 768px)
{
    .sidebar .scroll
    {
        top: 79px;

        border-top: 1px solid #ccc;
    }
}

.sidebar .control
{
    font-size: 0;

    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;

    height: 80px;
    padding: 0 30px;

    border-top: 1px solid #ccc;
}

.sidebar .control a.button
{
    margin-top: 21px;
}

.sidebar .control a.button[data-action='save']
{
    width: calc(60% - 10px);
    margin-right: 20px;
}

.sidebar .control a.button[data-action='reset']
{
    width: calc(40% - 10px);
}

@media (max-width: 420px)
{
    .sidebar .control
    {
        height: 69px;
    }
    .sidebar .control a.button
    {
        margin-top: 15px;
    }
}

@media (max-width: 768px)
{
    .sidebar
    {
        right: -90vw;
    }
}

/* --------------------------------------------------------------------- FOOTER --- */
footer
{
    position: absolute;
    z-index: 9;
    right: 0;
    bottom: 0;
    left: 0;

    width: 100%;
    height: 80px;
    padding: 17px 20px;

    border-top: 1px solid #ccc;
    background-color: #f8f8f8;
}

footer .name,
footer .range
{
    width: calc(100% - 70px);
}

footer .name
{
    font-size: 24px;

    display: block;

    min-height: 24px;
    margin-bottom: 4px;
}

@media (max-width: 420px)
{
    footer .name
    {
        font-size: 20px;

        min-height: 20px;
    }
}

footer .range
{
    font-weight: 300;

    min-height: 16px;

    color: #abacab;
}

footer .price
{
    position: absolute;
    top: 50%;
    right: 20px;

    transform: translate(0, -50%);
}

footer .price .currency
{
    font-size: 20px;
    font-style: italic;

    color: #abacab;
}

footer .price .currency:before
{
    content: '\00a3';
    vertical-align: top;
}

footer .price .value
{
    font-size: 32px;
}

@media (max-width: 420px)
{
    footer
    {
        height: auto;
        min-height: 70px;
        padding: 14px 20px;
    }
}

/* //////////////////////////////////////////////////////////////////////////////// */
/* /////////////////////////////////////////////////////////////////////// FORM /// */
/* //////////////////////////////////////////////////////////////////////////////// */
/* ----------------------------------------------------------------------- ITEM --- */
form .item
{
    width: 100%;
    max-width: 400px;
}

form .item:not(:last-child)
{
    margin-bottom: 30px;
}

form .item.error input
{
    border: 1px solid red;
}

form .item.error .message
{
    font-size: 14px;

    margin-top: 5px;

    color: red;
}

/* ---------------------------------------------------------------------- LABEL --- */
form label
{
    display: block;

    margin-bottom: 5px;

    color: #abacab;
}

form label.required:after
{
    font-size: 14px;

    margin-left: 5px;

    content: '*';

    color: red;
}

/* ---------------------------------------------------------------------- INPUT --- */
form input:not([type='checkbox'])
{
    font: inherit;

    width: 100%;
    padding: 8px 12px;

    border: 1px solid #ccc;
    border-radius: 0;
}

form input[type='checkbox']
{
    display: inline-block;

    margin: 0;

    vertical-align: top;

    -webkit-appearance: checkbox;
}

form input[type='checkbox'] + label
{
    display: inline-block;

    width: calc(100% - 40px);
    margin-left: 10px;

    vertical-align: top;
}

/* //////////////////////////////////////////////////////////////////////////////// */
/* ////////////////////////////////////////////////////////////////// COMPONENT /// */
/* //////////////////////////////////////////////////////////////////////////////// */
/* ---------------------------------------------------------------------- DEBUG --- */
#debug
{
    font-family: monospace;

    position: fixed;
    z-index: 999;
    top: 10px;
    left: 10px;

    overflow: auto;

    max-height: calc(100vh - 20px);
    padding: 10px;

    pointer-events: none;

    background-color: rgba(0, 0, 0, .8);
}

#debug .item
{
    line-height: 16px;

    color: white;
}

/* --------------------------------------------------------------------- BUTTON --- */
.button
{
    font-size: 14px;
    font-weight: 500;

    display: inline-block;

    padding: 10px 18px;

    cursor: pointer;
    text-align: center;
    text-decoration: none;
    letter-spacing: 1px;
    text-transform: uppercase;

    color: white;
    border: 2px solid #abacab;
    background-color: #abacab;
    box-shadow: inset 0 0 0 1px white;
}

.button.dark
{
    border: 2px solid black;
    background-color: black;
}

/* ---------------------------------------------------------------------- MODAL --- */
.modal_overlay
{
    position: fixed;
    z-index: 99;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;

    background-color: rgba(0, 0, 0, .8);
}

.modal_overlay .modal_box
{
    position: absolute;
    top: 50%;
    left: 50%;

    width: 95%;
    max-width: 600px;

    transform: translate(-50%, -50%);

    background-color: white;
}

.modal_overlay .modal_box .modal_header
{
    position: relative;

    padding: 30px 60px 30px 30px;
}

.modal_overlay .modal_box .modal_header h3
{
    font-size: 28px;
}

.modal_overlay .modal_box .modal_header .modal_close
{
    position: absolute;
    top: 20px;
    right: 20px;

    width: 28px;
    height: 28px;

    cursor: pointer;
    transition: color 300ms;

    color: #ccc;
    border: 1px solid #ccc;
    border-radius: 30px;
    background-color: white;
}

.modal_overlay .modal_box .modal_header .modal_close:before
{
    font-size: 20px;
    font-weight: bold;
    line-height: 26px;

    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 1px;

    content: '\d7';
    text-align: center;
}

.modal_overlay .modal_box .modal_inner
{
    overflow: scroll;

    max-height: 75vh;
    padding: 0 30px 30px 30px;
}

.modal_overlay .modal_box .modal_inner p
{
    margin-bottom: 25px;
}

/* -------------------------------------------------------------------- MESSAGE --- */
.message
{
    font-size: 18px;

    width: 100%;
    padding: 20px 0;

    text-align: center;
}

/* --------------------------------------------------------------------- OPTION --- */
.option
{
    position: relative;

    width: 100%;
    height: 100%;
}

.option .item > .toggle
{
    position: relative;

    padding: 19px 30px 20px 30px;

    cursor: pointer;

    border-bottom: 1px solid #ccc;
}

.option .item > .toggle:before
{
    position: absolute;
    top: 50%;
    right: 30px;

    width: 12px;
    height: 7px;

    content: '';
    transition: transform 100ms;
    transform: translate(0, -50%);
    transform-origin: top center;
    pointer-events: none;

    background-image: url('../gfx/arrow_down.png');
    background-size: contain;
}

.option .item > .toggle .name
{
    font-size: 20px;
}

.option .item.active .toggle:before
{
    margin-top: 3px;

    transform: rotate(180deg);
}

.option .item .content
{
    height: 0;
    padding: 0 30px;

    pointer-events: none;

    opacity: 0;
    background-color: white;
}

.option .item.active .content
{
    height: auto;
    padding: 20px 30px;

    pointer-events: all;

    opacity: 1;
    border-bottom: 1px solid #ccc;
}

@media (max-width: 420px)
{
    .option .item.active .content
    {
        padding: 20px;
    }
}

/* ----------------------------------------------------------------------- GRID --- */
div.grid
{
    overflow: hidden;

    margin: 0 -10px;
}

div.grid a.item
{
    display: block;
    float: left;

    margin: 0 10px 20px 10px;

    text-decoration: none;
}

div.grid a.item .image
{
    width: 100%;
    padding-top: 65%;

    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

div.grid a.item .name
{
    line-height: 18px;

    margin-top: 10px;

    text-align: center;

    color: black;
}

@media (min-width: 769px)
{
    div.grid a.item
    {
        width: calc(33.333333% - 20px);
    }
    div.grid a.item:nth-child(3n + 1)
    {
        clear: both;
    }
}

@media (max-width: 768px)
{
    div.grid a.item
    {
        width: calc(50% - 20px);
    }
    div.grid a.item:nth-child(2n + 1)
    {
        clear: both;
    }
}

@media (max-width: 420px)
{
    div.grid a.item
    {
        float: none;

        width: calc(100% - 20px);
        margin-bottom: 20px !important;
    }
    div.grid a.item:last-child
    {
        margin-bottom: 0;
    }
}

/* -------------------------------------------------------------------- UL GRID --- */
ul.grid
{
    font-size: 0;

    position: relative;

    margin: 0 -5px;
}

ul.grid:not(:last-child):after
{
    display: block;

    height: 1px;
    margin: 10px 5px;

    content: '';

    background-color: #ccc;
}

ul.grid[data-price-type]
{
    padding-top: 20px;
}

ul.grid[data-price-type]:before
{
    font-size: 13px;

    position: absolute;
    top: 0;
    left: 0;

    display: block;

    margin-left: 5px;

    content: attr(data-price-type);
}

ul.grid li
{
    position: relative;

    display: inline-block;

    width: calc(25% - 10px);
    margin: 0 5px 10px 5px;

    cursor: pointer;
    vertical-align: top;
}

ul.grid li:before
{
    display: block;

    width: 100%;
    padding-top: 100%;

    content: '';
}

ul.grid li:nth-child(4n+1)
{
    margin-bottom: 0;
}

ul.grid li:nth-child(4n+1):nth-last-child(-n+4) ~ li
{
    margin-bottom: 0;
}

ul.grid li.active:after
{
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;

    content: '';

    background-color: rgba(0, 0, 0, .3);
    background-image: url('../gfx/check.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 30px;
}

ul.grid li .icon
{
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;

    cursor: pointer;

    background-repeat: no-repeat;
    background-position: top center;
    background-size: cover;
}

ul.grid li .preview
{
    position: absolute;
    z-index: 999;

    display: block;
    overflow: hidden;

    width: calc((289px * .25) - 10px);
    margin-top: calc(((289px * .25) - 10px) * -1);

    transition: width 20ms ease 20ms, margin-left 20ms ease 20ms, z-index 0ms ease 20ms;
    pointer-events: none;

    opacity: 0;
    color: #ccc;
    border: 1px solid;
    background: lightgrey;
    background-repeat: no-repeat;
    background-position: top center;
    background-size: cover;
}

ul.grid li .preview:before
{
    display: block;

    width: 100%;
    padding-top: 100%;

    content: '';
}

ul.grid li .preview .label
{
    font-style: italic;

    position: absolute;
    top: 100%;
    left: 0;

    width: calc(100% + 2px);
    margin: 0 -1px;
    padding: 9px 10px 8px 10px;

    transition: transform 20ms ease;
    transform: translate(0, 0);

    color: #ccc;
    border-top: 1px solid;
    background-color: rgba(255, 255, 255, .95);
}

ul.grid li .preview .label:before
{
    font-size: 15px;
    line-height: 1.2em;

    content: attr(data-name);

    color: black;
}

ul.grid li.hover .preview
{
    width: calc((289px * .75) - 10px);

    transition: width 200ms ease, margin-left 200ms ease;

    opacity: 1;
}

ul.grid li.hover .preview .label
{
    transition: transform 200ms ease 300ms;
    transform: translate(0, -100%);
}

@media (max-width: 420px)
{
    ul.grid li.hover .preview
    {
        width: calc(((90vw - 28px) * .75) - 10px);
        margin-top: calc((((90vw - 29px) * .25) - 10px) * -1);
    }
}

ul.grid li.hover:nth-child(4n) .preview,
ul.grid li.hover:nth-child(4n-1) .preview
{
    margin-left: calc((-289px * .5));
}

@media (max-width: 420px)
{
    ul.grid li.hover:nth-child(4n) .preview,
    ul.grid li.hover:nth-child(4n-1) .preview
    {
        margin-left: calc((-90vw * .5) + 14px);
    }
}

/* ------------------------------------------------------------------- QUANTITY --- */
.quantity
{
    overflow: hidden;
}

.quantity .toggle
{
    font-size: 20px;
    line-height: 26px;

    float: left;

    width: 30px;
    height: 30px;
    margin-top: 3px;

    cursor: pointer;
    text-align: center;

    border: 1px solid #ccc;
    background-color: white;
}

.quantity .toggle.minus
{
    font-weight: bold;
    line-height: 26px;
}

.quantity .toggle.minus:before
{
    content: '–';
}

.quantity .toggle.plus:before
{
    content: '+';
}

.quantity input[type='text']
{
    font: inherit;

    float: left;

    width: 60px;
    margin: 0 10px;
    padding: 8px 10px;

    text-align: center;

    color: black;
    border: 1px solid #ccc;
    border-radius: 0;
    background-color: white;
}

/* --------------------------------------------------------------------- CANVAS --- */
.canvas
{
    position: absolute;

    overflow: hidden;
}

.canvas img
{
    position: absolute;
    top: -9999px;
    left: -9999px;
}

.canvas canvas
{
    position: absolute;
    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%);

    background-color: transparent;
}

.canvas canvas[data-image]
{
    z-index: 1;
}

.canvas canvas[data-part]
{
    z-index: 2;
}

.canvas canvas[data-hardware]
{
    z-index: 3;
}

.canvas canvas[data-fabric]
{
    z-index: 4;
}

.canvas .size
{
    font-size: 14px;

    position: absolute;
    z-index: 9;
    right: 0;
    bottom: 20px;
    left: 0;

    text-align: center;
    pointer-events: none;
}

/* ----------------------------------------------------------------------- LOAD --- */
.load:before
{
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 50%;

    width: 30px;
    height: 30px;
    margin-left: -15px;

    content: '';
    transform: translate(-50%, -50%);
    animation: rotate 2s linear infinite;

    background-image: url('../gfx/load.svg');
    background-size: contain;
}

@keyframes rotate
{
    from
    {
        transform: rotate(0deg);
    }
    to
    {
        transform: rotate(360deg);
    }
}

/* ------------------------------------------------------------------- ACTIVITY --- */
#activity
{
    display: none;
}

#activity.display
{
    display: block;
}

#activity .modal_box
{
    padding-top: 30px;

    text-align: center;

    background-color: white;
}

#activity .modal_box .countdown
{
    font-size: 48px;
    font-style: italic;

    margin-bottom: 30px;
}

/* //////////////////////////////////////////////////////////////////////////////// */
/* ////////////////////////////////////////////////////////////////////// INDEX /// */
/* //////////////////////////////////////////////////////////////////////////////// */
/* ----------------------------------------------------------------------- BODY --- */
#index
{
    padding-top: 100px;
}

@media (max-width: 768px)
{
    #index
    {
        padding-top: 90px;
    }
}

/* --------------------------------------------------------------------- HEADER --- */
#index header h3
{
    font-size: 20px;
    font-weight: 300;
    line-height: 44px;
}

@media (max-width: 768px)
{
    #index header h3
    {
        line-height: 36px;
    }
}

/* -------------------------------------------------------------------- SETTING --- */
#index .setting
{
    position: fixed;
    bottom: 20px;
    left: 20px;

    display: block;

    width: 25px;
    height: 25px;

    border: 1px solid #abacab;
    border-radius: 25px;
    background-color: white;
    background-image: url('../gfx/setting.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 15px;
}

/* //////////////////////////////////////////////////////////////////////////////// */
/* ////////////////////////////////////////////////////////////////////// RANGE /// */
/* //////////////////////////////////////////////////////////////////////////////// */
/* ----------------------------------------------------------------------- BODY --- */
#range
{
    padding-top: 100px;
}

@media (max-width: 768px)
{
    #range
    {
        padding-top: 90px;
    }
}

/* --------------------------------------------------------------------- HEADER --- */
#range header h3,
#range header h4
{
    font-weight: 300;
}

#range header h3
{
    font-size: 20px;
    line-height: 26px;
}

@media (max-width: 768px)
{
    #range header h3
    {
        line-height: 17px;

        margin-bottom: 5px;
    }
}

#range header h4
{
    color: #abacab;
}

#range header .button
{
    position: absolute;
    top: 50%;
    right: 20px;

    margin-top: -1.5px;

    transform: translate(0, -50%);
}

/* ----------------------------------------------------------------------- GRID --- */
#range .grid a.item .image
{
    background-size: contain;
}

/* //////////////////////////////////////////////////////////////////////////////// */
/* ////////////////////////////////////////////////////////////////// CUSTOMISE /// */
/* //////////////////////////////////////////////////////////////////////////////// */
/* --------------------------------------------------------------------- HEADER --- */
#customise header
{
    display: none;
}

#customise header .button
{
    position: absolute;
    top: 50%;
    right: 20px;

    transform: translate(0, -50%);
}

@media (orientation: landscape)
{
    #customise header .button
    {
        right: 360px;
    }
}

body.mobile#customise header
{
    display: block;
}

/* -------------------------------------------------------------------- SIDEBAR --- */
@media (max-width: 768px)
{
    #customise .sidebar .scroll
    {
        top: 69px;
    }
}

/* --------------------------------------------------------------------- CUSTOM --- */
#customise .custom
{
    width: 100%;
    margin-top: 20px;
}

#customise .custom input
{
    font: inherit;
    font-size: 14px;

    width: 100%;
    padding: 8px 12px;

    color: #abacab;
    border: 1px solid #ccc;
    border-radius: 0;
}

/* ------------------------------------------------------------------ CUSTOMISE --- */
#customise .customise
{
    position: fixed;
    z-index: 9;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;

    display: none;

    background-color: #fdfdfd;
}

#customise .customise.display
{
    display: block;
}

#customise .customise a.close
{
    position: absolute;
    top: 10px;
    right: 20px;
}

#customise .customise a.close:before
{
    font-weight: bold;
    line-height: 29px;

    display: block;

    content: '\d7';
    cursor: pointer;
    text-align: center;

    color: #abacab;
}

#customise .customise .center
{
    position: absolute;
    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%);
    text-align: center;
}

#customise .customise .code
{
    font-family: monospace;
    font-size: 30px;

    display: inline-block;

    margin: 0 auto 30px auto;
    padding: 10px 12px 11px 14px;

    letter-spacing: 1px;

    border: 1px solid #ccc;
    border-radius: 3px;
    background-color: white;
}

#customise .customise .spec
{
    font-size: 15px;

    width: 100%;
    min-width: 400px;

    text-align: left;

    border: 1px solid #ccc;
    border-radius: 3px;
    background-color: white;
}

#customise .customise .spec .item
{
    padding: 12px 14px;
}

#customise .customise .spec .item span
{
    display: inline-block;
    overflow: hidden;

    width: 100px;

    vertical-align: bottom;
    white-space: nowrap;
    text-overflow: ellipsis;
}

#customise .customise .spec .item:not(:last-child)
{
    border-bottom: 1px solid #ccc;
}

/* //////////////////////////////////////////////////////////////////////////////// */
/* ////////////////////////////////////////////////////////////////////// PRINT /// */
/* //////////////////////////////////////////////////////////////////////////////// */
/* ----------------------------------------------------------------------- BODY --- */
#print
{
    padding-top: 100px;
}

@media (max-width: 768px)
{
    #print
    {
        padding-top: 90px;
    }
}

/* --------------------------------------------------------------------- HEADER --- */
#print header h3,
#print header h4
{
    font-weight: 300;
}

#print header h3
{
    font-size: 20px;
    line-height: 26px;
}

@media (max-width: 768px)
{
    #print header h3
    {
        line-height: 17px;

        margin-bottom: 5px;
    }
}

#print header h4
{
    color: #abacab;
}

#print header .button
{
    position: absolute;
    top: 50%;
    right: 20px;

    transform: translate(0, -50%);
}

/* --------------------------------------------------------------------- CANVAS --- */
#print .canvas
{
    position: relative;
}

#print .canvas:before
{
    display: block;

    width: 100%;
    padding-top: 100%;

    content: '';
}

#print .canvas canvas
{
    top: 0;
    left: 50%;

    transform: translate(0, -50%);
    transform-origin: top center;
}

/* ------------------------------------------------------------------ CUSTOMISE --- */
#print .customise
{
    width: 100%;
    max-width: 500px;
    margin: 0 auto 30px auto;
}

#print .customise h3
{
    font-size: 20px;
    font-weight: 300;
    line-height: 26px;

    margin-bottom: 15px;
}

@media (max-width: 768px)
{
    #print .customise h3
    {
        line-height: 17px;

        margin-bottom: 5px;
    }
}

#print .customise .item
{
    line-height: 40px;

    width: 100%;
    height: 40px;

    border-bottom: 1px solid #ccc;
}

#print .customise .item > div
{
    float: left;

    height: 40px;
}

#print .customise .item > div:nth-child(1)
{
    width: 40%;
}

#print .customise .item > div:nth-child(2)
{
    color: #abacab;
}

#print .customise .item.price
{
    font-size: 22px;
    line-height: 60px;

    height: 60px;
}

#print .customise .item.price .currency
{
    font-size: 20px;
    font-style: italic;

    color: #abacab;
}

#print .customise .item.price .currency:before
{
    content: '\00a3';
    vertical-align: top;
}

#print .customise .item.price .value
{
    font-size: 32px;
}

/* -------------------------------------------------------------------- CONTROL --- */
#print .control
{
    font-size: 0;

    overflow: hidden;

    width: 100%;
    max-width: 500px;
    margin: 0 auto 30px auto;
}

#print .control a[data-action='print']
{
    margin-right: 15px;
}

#print .control a:last-child
{
    float: right;
}

/* //////////////////////////////////////////////////////////////////////////////// */
/* ////////////////////////////////////////////////////////////////////// SETUP /// */
/* //////////////////////////////////////////////////////////////////////////////// */
/* ----------------------------------------------------------------------- BODY --- */
#setup
{
    padding-top: 100px;
}

@media (max-width: 768px)
{
    #setup
    {
        padding-top: 90px;
    }
}

/* --------------------------------------------------------------------- HEADER --- */
#setup header .center
{
    height: 100%;
}

#setup header .center .button
{
    position: absolute;
    top: 50%;
    right: 20px;

    margin-top: -1.5px;

    transform: translate(0, -50%);
}

/* ------------------------------------------------------------------ CONTAINER --- */
#setup .container
{
    padding: 30px;
}

/* //////////////////////////////////////////////////////////////////////////////// */
/* //////////////////////////////////////////////////////////////////////// 404 /// */
/* //////////////////////////////////////////////////////////////////////////////// */
/* ------------------------------------------------------------------ CONTAINER --- */
#error .container
{
    position: absolute;
    top: 50%;
    left: 50%;

    transform: translate(-50%, -50%);
    text-align: center;
    text-decoration: none;

    color: black;
}

#error .container h1
{
    font-size: 44px;

    margin-bottom: 10px;
}

#error .container p
{
    font-size: 22px;
}
